Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string<uuid>

Continuation cursor from the previous response nextCursor. Omit for the first page; null nextCursor means there are no more pages.

limit
integer
default:50

Maximum number of items to return in one page. Use nextCursor from the response to fetch more items.

Required range: 1 <= x <= 100
names
string[]

Filter by exact skill names.

Minimum string length: 1
repositoryIds
string<uuid>[]

Repository IDs to search for checked-in skills, supplied as a comma-separated list.

projectId
string

Project whose repositories to search for checked-in skills.

Required string length: 1 - 255
sessionId
string<uuid>

Session whose repositories to search for checked-in skills.

Search skills by name, description, or keywords.

Minimum string length: 1
source
enum<string>
default:organization

organization lists saved organization skills; repository lists checked-in skills from the selected repositories, project, or session.

Available options:
organization,
repository

Response

List skills

items
object[]
required
nextCursor
string<uuid> | null
required